package com.sun.java.swing.plaf.windows;

import java.awt.Dimension;
import java.awt.Color;
import javax.swing.UIManager;
import java.awt.Graphics;
import javax.swing.plaf.basic.BasicSplitPaneUI;
import javax.swing.plaf.basic.BasicSplitPaneDivider;

public class WindowsSplitPaneDivider extends BasicSplitPaneDivider
{
    public WindowsSplitPaneDivider(BasicSplitPaneUI ui) {
        super(ui);
    }
    
    @Override
    public void paint(Graphics g) {
        Color color = this.splitPane.hasFocus() ? UIManager.getColor("SplitPane.shadow") : this.getBackground();
        Dimension size = this.getSize();
        if (color != null) {
            g.setColor(color);
            g.fillRect(0, 0, size.width, size.height);
        }
        super.paint(g);
    }
}
